Skip to content
View Markdown

List actor registrations

GET/v1/actor
GET
/v1/actor
curl --request GET \
--url https://api.wabe.sh/v1/actor \
--header 'Authorization: Bearer <token>'

Registrations in the current project.

Media typeapplication/json
Array<object>
object
id
required
string format: uuid

Example

779742ad-cd09-4e1c-9170-f20968b344d4
name
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat
disk

Optional default disk for the public invocation URL.

string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat-state
endpoint
required
string format: uri

Example

https://chat.example.com/wabe
fetchUrlTemplate
required
string

Example

https://api.wabe.sh/v1/actor/chat/disks/{disk}/instances/{instance}/fetch

Missing, invalid or revoked project API key.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Actor API temporarily unavailable.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string